<app-nav></app-nav>
<div class="row" style="margin-top: 70px;margin-left: 10px;">

  <div class="col-md-3">
    <div type="button" routerLink="/add" class="btn btn-primary">ajouter un utilisateur</div>
  </div>

  <div class="col-md-9">
    <div class="col-md-12">
      <input type="text" placeholder="search" [(ngModel)]="searchtext">
      <div class="panel panel-primary">
        <div class="panel-heading"> Liste des utilisateurs  </div>

      <table class="table table-hover">
        <thead>
          <tr>
            <th>id</th>
            <th>user</th>
            <th>pass</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let m of users |filter:searchtext|paginate: { itemsPerPage: 5, currentPage: p }; let i = index">
            <td> {{m.id}}  </td>
            <td>  {{m.username}} </td>
            <td> {{m.password}} </td>
            <td>
              <button class="btn btn-danger" (click)="supp(m.id)" >
                <span class="glyphicon glyphicon-trash"></span>
              </button>&nbsp; <button  routerLink="/edituser/{{m.id}}" class="btn btn-primary">update<i class="fa fa-edit" aria-hidden="true"></i></button></td>
          </tr>
        </tbody>
      </table>
      <pagination-controls (pageChange)="p = $event"></pagination-controls></div></div>
